cowboy_req:resp_header(3)

NAME

cowboy_req:resp_header - Response header

DESCRIPTION
    resp_header(Name, Req)          -> resp_header(Name, Req, undefined)
    resp_header(Name, Req, Default) -> binary() | Default

    Name    :: binary()          %% lowercase; case insensitive
    Req     :: cowboy_req:req()
    Default :: any()

Return the value for the given response header.

The response header must have been set previously using cowboy_req:set_resp_header(3) or cowboy_req:set_resp_headers(3).

The header name must be given as a lowercase binary string. While header names are case insensitive, Cowboy requires them to be given as lowercase to function properly.

ARGUMENTS

Name
    Desired response header name as a lowercase binary string.

Req
    The Req object.

Default
    Default value returned when the header is missing.

RETURN VALUE

The header value is returned as a binary string. When the header is missing, the default argument is returned.

CHANGELOG
    • 2.0: Function introduced.

EXAMPLES

Get the content-type response header
    Type = cowboy_req:resp_header(<<"content-type">>, Req).

Get the content-type response header with a default value
    Type = cowboy_req:resp_header(<<"content-type">>, Req, <<"text/html">>).

SEE ALSO

cowboy_req(3), cowboy_req:resp_headers(3), cowboy_req:set_resp_header(3), cowboy_req:set_resp_headers(3)